//
//  PZChannelInspector.h
//  AcidSearch
//
//  Created by Robin Hamilton-Pennell on 11/20/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@class PZChannel;
@class PZMetaDictionary;

@interface PZChannelInspector : NSObject {
	PZChannel *channel;
	PZMetaDictionary *keys;
	
	// Inspector
    IBOutlet id	inspectorActivatingRegexCheckbox;
    IBOutlet id	inspectorAutoTabCheckbox;
    IBOutlet id	inspectorEncodingPopup;
    IBOutlet id	inspectorImageView;
    IBOutlet id	inspectorKeyComboView;
    IBOutlet id	inspectorNameField;
    IBOutlet id	inspectorNotesField;
    IBOutlet id	inspectorPanel;
    IBOutlet id	inspectorRegexField;
    IBOutlet id	inspectorShortcutField;
    IBOutlet id	inspectorURLField;
    IBOutlet id	inspectorUsePOSTCheckbox;
}

+ (id)inspectChannel:(PZChannel *)newChannel;

- (PZChannel *)channel;
- (IBAction)controlAction:(id)sender;
- (id)initWithChannel:(PZChannel *)newChannel;
- (IBAction)inspectorHelp:(id)sender;
- (void)setChannel:(PZChannel *)newChannel;
- (void)update;

@end
